#ifndef LIBRARIES_MADBLANKERSUPPORT_H
#define	LIBRARIES_MADBLANKERSUPPORT_H

/* PUBLIC: */

/* (tabsize = 3) */

#define MADBLANKERSUPPORT_NAME "madblankersupport.library"
#define MADBLANKERSUPPORT_VMIN 27
/* Be sure to open MADBLANKERSUPPORT_VMIN of the library. */

/* Returned by MBS_GetBlankjob() */
struct mbs_blankjob {
	char *directory;					/* the blanker's subdirectory			  */
	LONG duration;						/* duration time in seconds, 0 means: */
											/* "exchange blankers" is turned off. */
	char *language;					/* used locale language					  */
};

/* Returned by MBS_ContinueBlanking() */
#define MBSCB_CONTINUE			0
#define MBSCB_TIMEOUT			1	/* Duration time exceeded. */
#define MBSCB_USERABORT			2  /* User aborted blanker.   */

struct mbs_color {
	LONG r,g,b;                   /* always 8bit values, 0...255 */
};

#ifdef SERVER_COMPILE
extern Library *madblankersupportbase = NULL;
extern mbs_madenvironment madenv;
#endif

#endif /* LIBRARIES_MADBLANKERSUPPORT_H */

